## com.google.gwt.dom.client
Class TableRowElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.TableRowElement

    public class TableRowElement

extends Element

A row in a table.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` `TableRowElement()`

Method Summary
`static TableRowElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`void` `deleteCell(int index)`
`java.lang.String` `getAlign()` Horizontal alignment of data within cells of this row.
`NodeList<TableCellElement>` `getCells()` The collection of cells in this row.
`java.lang.String` `getCh()` Alignment character for cells in a column.
`java.lang.String` `getChOff()` Offset of alignment character.
`int` `getRowIndex()` This is in logical order and not in document order.
`int` `getSectionRowIndex()` The index of this row, relative to the current section (THEAD, TFOOT, or TBODY), starting from 0.
`java.lang.String` `getVAlign()` Vertical alignment of data within cells of this row.
`TableCellElement` `insertCell(int index)`
`void` `setAlign(java.lang.String align)` Horizontal alignment of data within cells of this row.
`void` `setCh(java.lang.String ch)` Alignment character for cells in a column.
`void` `setChOff(java.lang.String chOff)` Offset of alignment character.
`void` `setVAlign(java.lang.String vAlign)` Vertical alignment of data within cells of this row.

Methods inherited from class com.google.gwt.dom.client.Element

`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableRowElement

    protected TableRowElement()

Method Detail

### as

    public static TableRowElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### deleteCell

    public final void deleteCell(int index)

### getAlign

    public final java.lang.String getAlign()

  Horizontal alignment of data within cells of this row.

  See Also:
    W3C HTML Specification

### getCells

    public final NodeList<TableCellElement> getCells()

  The collection of cells in this row.

### getCh

    public final java.lang.String getCh()

  Alignment character for cells in a column.

  See Also:
    W3C HTML Specification

### getChOff

    public final java.lang.String getChOff()

  Offset of alignment character.

  See Also:
    W3C HTML Specification

### getRowIndex

    public final int getRowIndex()

  This is in logical order and not in document order. The rowIndex does take into account sections (THEAD, TFOOT, or TBODY) within the table, placing THEAD rows first in the index, followed by TBODY rows, followed by TFOOT rows.

### getSectionRowIndex

    public final int getSectionRowIndex()

  The index of this row, relative to the current section (THEAD, TFOOT, or TBODY), starting from 0.

### getVAlign

    public final java.lang.String getVAlign()

  Vertical alignment of data within cells of this row.

  See Also:
    W3C HTML Specification

### insertCell

    public final TableCellElement insertCell(int index)

### setAlign

    public final void setAlign(java.lang.String align)

  Horizontal alignment of data within cells of this row.

  See Also:
    W3C HTML Specification

### setCh

    public final void setCh(java.lang.String ch)

  Alignment character for cells in a column.

  See Also:
    W3C HTML Specification

### setChOff

    public final void setChOff(java.lang.String chOff)

  Offset of alignment character.

  See Also:
    W3C HTML Specification

### setVAlign

    public final void setVAlign(java.lang.String vAlign)

  Vertical alignment of data within cells of this row.

  See Also:
    W3C HTML Specification